singleton Material(rcc600lt_glass_dmg)
{
   mapTo = "rcc600lt_glass_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/common/glass_base_2.dds";
    opacityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[1] = "vehicles/rcc600lt/cracks.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/rcc600lt/cracks_n.dds";
    normalMap[1] = "vehicles/rcc600lt/cracks_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rcc600lt_windshield_dmg)
{
   mapTo = "rcc600lt_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/common/glass_base_2.dds";
    opacityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[1] = "vehicles/rcc600lt/cracks.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/rcc600lt/cracks_n.dds";
    normalMap[1] = "vehicles/rcc600lt/cracks_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rcc600lt_runninglight_L)
{
   mapTo = "rcc600lt_runninglight_L";
};

singleton Material(rcc600lt_runninglight_R)
{
   mapTo = "rcc600lt_runninglight_R";
};

singleton Material(rcc600lt_taillight)
{
   mapTo = "rcc600lt_taillight";
};

singleton Material(rcc600lt_reverselight)
{
   mapTo = "rcc600lt_reverselight";
};

singleton Material(rcc600lt_signal_R)
{
   mapTo = "rcc600lt_signal_R";
};

singleton Material(rcc600lt_signal_L)
{
   mapTo = "rcc600lt_signal_L";
};

singleton Material(rcc600lt_taillight_R)
{
   mapTo = "rcc600lt_taillight_R";
};

singleton Material(rcc600lt_taillight_L)
{
   mapTo = "rcc600lt_taillight_L";
};

singleton Material(rcc600lt_headlight)
{
   mapTo = "rcc600lt_headlight";
};

singleton Material(rcc600lt_lights)
{
   mapTo = "rcc600lt_lights";
   diffuseMap[0] = "vehicles/rcc600lt/2019_mclaren_600lt_lights.ptc.png";
   diffuseColor[0] = "1 1 1 0.1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   beamngDiffuseColorSlot = 1;
   doubleSided = "1";
};

singleton Material(rcc600lt_lights_on)
{
   mapTo = "rcc600lt_lights_on";
   diffuseMap[0] = "vehicles/rcc600lt/2019_mclaren_600lt_lights.ptc.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(rcc600lt_signal_on)
{
   mapTo = "rcc600lt_signal_on";
   diffuseMap[0] = "vehicles/rcc600lt/2019_mclaren_600lt_lights.ptc.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(rcc600lt_lights_on_intense)
{
   mapTo = "rcc600lt_lights_on_intense";
   diffuseMap[0] = "vehicles/rcc600lt/2019_mclaren_600lt_lights.ptc.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(rcc600lt_brakes_on)
{
   mapTo = "rcc600lt_brakes_on";
   diffuseMap[0] = "vehicles/rcc600lt/2019_mclaren_600lt_lights.ptc.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};